# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_bbs5s55k_m/clone/recipe, last modified Wed Nov 29 15:14:59 2023
# ------------------------------------------------

package:
  name: pydeck
  version: 0.8.0
source:
  sha256: 07edde833f7cfcef6749124351195aa7dcd24663d4909fd7898dbd0b6fbc01ec
  url: https://pypi.io/packages/source/p/pydeck/pydeck-0.8.0.tar.gz
build:
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_bbs5s55k_m/croot/pydeck_1701292517448/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py39hca03da5_0
requirements:
  host:
    - ca-certificates 2023.08.22 hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.12 h1a28f6b_0
    - pip 23.3.1 py39hca03da5_0
    - python 3.9.18 hb885b13_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.0.0 py39hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py39hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - ipykernel >=5.1.2
    - ipywidgets >=7,<8
    - jinja2 >=2.10.1
    - numpy >=1.16.4
    - python >=3.9,<3.10.0a0
    - traitlets >=4.3.2
test:
  commands:
    - pip check
  imports:
    - pydeck
    - pydeck.bindings
    - pydeck.data_utils
    - pydeck.io
    - pydeck.nbextension
    - pydeck.widget
  requires:
    - pip
about:
  description: 'The pydeck library is a set of Python bindings for making spatial
    visualizations

    with deck.gl, optimized for a Jupyter environment.

    '
  dev_url: https://github.com/uber/deck.gl/tree/master/bindings/pydeck
  doc_url: https://pydeck.gl
  home: https://github.com/uber/deck.gl/tree/master/bindings/pydeck
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Widget for deck.gl maps
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: bb21ac8f-9371-4266-a4fa-6efa5defcaf2
  recipe-maintainers:
    - ajduberstein
  remote_url: git@github.com:AnacondaRecipes/pydeck-feedstock.git
  sha: f8c0483a458866a39ab820c3ad61ff226dd3555f
